Retrieve Counter - m3ter Documentation
Retrieve Counter
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/counters/{id} \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/counters/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/counters/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response
200
{
"id": "<string>",
"version": 123,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"code": "<string>",
"productId": "<string>",
"name": "<string>",
"unit": "<string>"
}
4XX
{
"message": "<string>"
}
5XX
{
"message": "<string>"
}
Authorizations
Authorization
Type: string
Location: header
Required: yes
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
Path Parameters
orgId: string (required)
- UUID of the Organization. The Organization represents your company as a direct customer of m3ter.
id: string (required)
- The UUID of the Counter to retrieve.
Response Details
200
id: string (required)
- The UUID of the entity.
version: integer
- The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
- The version number:
dtCreated: string
- The DateTime when this item was created in ISO-8601 format.
dtLastModified: string
- The DateTime when this item was last modified in ISO-8601 format.
createdBy: string
- The ID of the user who created this item.
lastModifiedBy: string
- The ID of the user who last modified this item.
code: string
- Code of the Counter. A unique short code to identify the Counter.
productId: string
- UUID of the product the Counter belongs to (Optional).
name: string
- Name of the Counter.
unit: string
- Label for units shown on Bill line items.